<?php
namespace WorkbloomERP\Module\v0\Usuario\Models;

use DateTimeImmutable;

class UsuarioEmpresaModel {
    public function __construct(
        private ?int $usuario_id = null,
        private ?int $empresa_id = null,
    ) {}

    public function toArray(): array {
        return [
            'usuario_id' => $this->getUsuarioId(),
            'empresa_id' => $this->getEmpresaId(),
        ];
    }

    public function getUsuarioId(): ?int {
        return $this->usuario_id;
    }
    public function setUsuarioId(?int $usuario_id): void {
        $this->usuario_id = $usuario_id;
    }

    public function getEmpresaId(): ?int {
        return $this->empresa_id;
    }
    public function setEmpresaId(?int $empresa_id): void {
        $this->empresa_id = $empresa_id;
    }
}